Name:           python-watchfiles
Version:        1.0.4
Release:        %mkrel 1
Summary:        Simple, modern and high performance file watching and code reload
Group:          Development/Python

License:        MIT
URL:            https://github.com/samuelcolvin/watchfiles
Source:         %{pypi_source watchfiles}
Source1:        watchfiles-%{version}-vendor.tar.xz

BuildRequires:  python3-devel
BuildRequires:  rust-packaging

%description
Simple, modern and high performance file watching and code reload in python.
Underlying file system notifications are handled by the Notify rust library.

%package -n     python3-watchfiles
Summary:        %{summary}

%description -n python3-watchfiles
Simple, modern and high performance file watching and code reload in python.
Underlying file system notifications are handled by the Notify rust library.

%prep
%autosetup -p1 -a1 -n watchfiles-%{version}
%cargo_prep -v vendor

rm -rf *.lock

%generate_buildrequires
%pyproject_buildrequires
%if 0
%cargo_generate_buildrequires
%endif

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files watchfiles

%check
%pyproject_check_import

%files -n python3-watchfiles -f %{pyproject_files}
%{_bindir}/watchfiles


%changelog
* Sun Mar 02 2025 wally <wally> 1.0.4-1.mga10
+ Revision: 2158971
- new version 1.0.4
- update bundled rust crates

* Sun Mar 02 2025 wally <wally> 0.21.0-2.mga10
+ Revision: 2158895
- rebuild for python3.13

* Wed Jan 10 2024 papoteur <papoteur> 0.21.0-1.mga10
+ Revision: 2029473
- fix summary
- imported package python-watchfiles

